# A Lightweight Python Hit Arithmetic - ALPHA

A to-hit calculator and damage/heat tracker for Battletech: Alpha Strike.

## Current Features

As of now, you can:
- Set the following mech attributes on a per-mech basis:
  - Name
  - Size
  - Pilot Skill
  - Total Movement Modifier

## Upcoming Features

Next on the release docket:
- Set mech armor and structure values
- Set damage for each range bracket
- Set heat scale
- Set critical points

## Core Features

Once those key things are taken care of, you’ll be able to:
- Load multiple mechs into memory
- Run attack rolls to and against them
- Automatic critical calculations upon structure damage
- Turn-based damage, so all pending effects are held in a buffer
  before they apply after all actions in a turn